首页 >web前端 >前端问答 > 正文

vuejs不支持ie8吗

原创2021-09-14 14:25:220688

vuejs不支持ie8,原因:1、ie8及以下版本不支持“Object.defineProperty”方法,但该方法是vue实现响应式的所必须的;2、Vue需要Promise的支持,而IE8不支持Promsie。

本教程操作环境:windows7系统、vue2.9.6版,DELL G3电脑。

在从Vue官网可以看出:Vue是不支持IE8的。

Vue 不支持 IE8 及以下版本,因为 Vue 使用了 IE8 无法模拟的 ECMAScript 5 特性。但它支持所有兼容 ECMAScript 5 的浏览器。

例如:

  • Vue.js会对所有的实现双向绑定的数据,使用 Object.defineProperty 把这些属性全部转为 getter/setter。Object.defineProperty 是 ES5 中一个无法 shim 的特性,这也就是为什么 Vue 不支持 IE8 以及更低版本浏览器的原因。

    注意这里:Object.defineProperty是无法通过垫板实现的一个方法,是和浏览器自身有关系的,所以Vue从根本上来说本来就无法支持IE8;

  • Vue需要Promise的支持,IE8同样不支持Promsie。

相关推荐:《vue.js教程

以上就是vuejs不支持ie8吗的详细内容,更多请关注php中文网其它相关文章!

php中文网最新课程二维码

声明:本文原创发布php中文网,转载请注明出处,感谢您的尊重!如有疑问,请联系admin@php.cn处理

  • 相关标签:vuejs ie8
  • 相关文章

    相关视频


    网友评论

    文明上网理性发言,请遵守 新闻评论服务协议

    我要评论
  • 专题推荐

    作者信息
    推荐视频教程
  • Vue.js 开发基础教程Vue.js 开发基础教程
  • vue 3.0全新实战课程(2021版)第一季vue 3.0全新实战课程(2021版)第一季
  • vue 3.0全新实战课程(2021版)第二季vue 3.0全新实战课程(2021版)第二季
  • 视频教程分类